Status: Closed

Priority: Normal

Assignee: Marco Hugentobler

Category: Web Services clients/WMS

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 14847
Description

Hello all,

| was successful to setup a qgis server project, using qgis desktop cgi script, and | can display & query data on qgis web client.
Everything works fine with shapefile and database connection, but as soon as | add a raster (geotiff) the WMS server returns
NetworkError: 500 Internal Server Error.

If | remove the raster layer everything keeps working fine.

Am | missing anything? Any suggestion or help?

History

#1 - 2012-03-12 04:12 AM - Thomas Arnold

Hi,
try to change the FcgidlOTimeout parameter (is a fastcgi modul parameter; see http:/httpd.apache.org/mod_fcgid/mod/mod_fcgid.html#fcgidiotimeout). If

you use a lot of raster data the default value is to short for the cgi script to calculate the map. In windows | have insert in httpd.d/httpd_qgis.conf this code
(I use fastegi):

<IfModule fcgid_module>

FcgidlOTimeout 200

</IfModule>

But complex raster data needs a lot of time (and memory) to load.

| hope that can help you

Thomas

#2 - 2012-03-12 04:13 AM - Giovanni Manghi

- Assignee set to Marco Hugentobler

#3 - 2012-03-15 04:37 AM - bradypus -

Updating QGIS to 1.7.4-4 (MacOS) solved my problem.

I'm correctly visualizing rasters now. No need to change FcgidlOTimeout this time.
Thank you

#4 - 2012-05-07 12:07 PM - Marco Hugentobler
- Status changed from Open to Closed
http://httpd.apache.org/mod_fcgid/mod/mod_fcgid.html#fcgidiotimeout

Seems this ticket can be closed now
